---

#! /zdci/db/releases/20251226000515/lkp-src/jobs/netperf.yaml
suite: netperf
testcase: netperf
category: benchmark
set_nic_irq_affinity: 1
ip: ipv4
runtime: 300s
nr_threads: 200%
cluster: cs-localhost
if role server:
  netserver:
if role client:
  netperf:
    send_size: 10K
    test: TCP_SENDFILE
job_origin: netperf.yaml

#! queue options
queue_cmdline_keys: []
queue: vip
testbox: lkp-icl-2sp7
tbox_group: lkp-icl-2sp7
job_file: "/lkp/jobs/scheduled/lkp-icl-2sp7/netperf-cs-localhost-performance-ipv4-200%-300s-10K-TCP_SENDFILE-debian-13-x86_64-20250902.cgz-aceccac58ad7-20251229-1295567-3uqtkb-0.yaml"
id: 0ff6ed59a1e40559ccc8af74210bfce4a237845c
queuer_version: "/lkp/xsang/.src-20251229-142617"

#! /zdci/db/releases/20251226000515/lkp-src/hosts/lkp-icl-2sp7
model: Ice Lake
nr_node: 2
nr_cpu: 64
memory: 256G
nr_ssd_partitions: 3
nr_hdd_partitions: 6
hdd_partitions: "/dev/disk/by-id/ata-WDC_WD20SPZX-22UA7T0_WD-WXK2E319F11A-part*"
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741401PU4P0IGN-part1"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741401PU4P0IGN-part2"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741401PU4P0IGN-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741401PU4P0IGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x6988c014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: Intel(R) Xeon(R) Gold 6346 CPU @ 3.10GHz
ucode: '0xd000404'

#! /zdci/db/releases/20251226000515/lkp-src/include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! /zdci/db/releases/20251226000515/lkp-src/include/category/ALL
cpufreq_governor: performance
sanity-check:

#! /zdci/db/releases/20251226000515/lkp-src/include/queue/cyclic
commit: aceccac58ad76305d147165788ea6b939bef179b
kconfig: x86_64-rhel-9.4
enqueue_time: 2025-12-29 16:03:55.095463423 +08:00
_rt: "/result/netperf/cs-localhost-performance-ipv4-200%-300s-10K-TCP_SENDFILE/lkp-icl-2sp7/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4/gcc-14/aceccac58ad76305d147165788ea6b939bef179b"
compiler: gcc-14
head_commit: 7544c602660d18ec72fb86c6b36e59e941d986de
base_commit: 9448598b22c50c8a5bb77a9103e2d49f134c9578
branch: internal-devel/devel-hourly-20251226-140300
rootfs: debian-13-x86_64-20250902.cgz

#! schedule options
scheduler_version: "/lkp/lkp/.src-20251229-120735"
arch: x86_64
max_uptime: 14400
initrd: "/osimage/debian/debian-13-x86_64-20250902.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/netperf/cs-localhost-performance-ipv4-200%-300s-10K-TCP_SENDFILE/lkp-icl-2sp7/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4/gcc-14/aceccac58ad76305d147165788ea6b939bef179b/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4/gcc-14/aceccac58ad76305d147165788ea6b939bef179b/vmlinuz-6.18.0-rc3-00046-gaceccac58ad7
- branch=internal-devel/devel-hourly-20251226-140300
- job=/lkp/jobs/scheduled/lkp-icl-2sp7/netperf-cs-localhost-performance-ipv4-200%-300s-10K-TCP_SENDFILE-debian-13-x86_64-20250902.cgz-aceccac58ad7-20251229-1295567-3uqtkb-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4
- commit=aceccac58ad76305d147165788ea6b939bef179b
- intremap=posted_msi
- acpi_rsdp=0x6988c014
- max_uptime=14400
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4/gcc-14/aceccac58ad76305d147165788ea6b939bef179b/modules.cgz"
bm_initrd: "/osimage/deps/debian-13-x86_64-20250902.cgz/lkp_20251225.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/run-ipconfig_20250919.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/netperf_20251015.cgz,/osimage/pkg/debian-13-x86_64-20250902.cgz/netperf-x86_64-afc51ff-0_20251015.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/iostat_20250917.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/turbostat_20250919.cgz,/osimage/pkg/debian-13-x86_64-20250902.cgz/turbostat-x86_64-0739473694c4-1_20251011.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/perf_20251229.cgz,/osimage/pkg/debian-13-x86_64-20250902.cgz/perf-x86_64-0739473694c4-1_20251010.cgz,/osimage/pkg/debian-13-x86_64-20250902.cgz/sar-x86_64-eb341c2e-1_20251011.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/hw_20250902.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20250523.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: shz

#! /zdci/db/releases/20251226235717/lkp-src/include/site/shz
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
node_roles: server client
job_initrd: "/lkp/jobs/scheduled/lkp-icl-2sp7/netperf-cs-localhost-performance-ipv4-200%-300s-10K-TCP_SENDFILE-debian-13-x86_64-20250902.cgz-aceccac58ad7-20251229-1295567-3uqtkb-0.cgz"
last_kernel: 5.9.0-2-amd64

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-9.4/gcc-14/aceccac58ad76305d147165788ea6b939bef179b/vmlinuz-6.18.0-rc3-00046-gaceccac58ad7"
result_root: "/result/netperf/cs-localhost-performance-ipv4-200%-300s-10K-TCP_SENDFILE/lkp-icl-2sp7/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4/gcc-14/aceccac58ad76305d147165788ea6b939bef179b/0"
user: lkp

#! /zdci/db/releases/20251229115537/lkp-src/include/site/shz
dequeue_time: 2025-12-29 17:12:28.918743563 +08:00
job_state: finished
loadavg: 30.49 85.89 48.60 1/676 15325
start_time: '1766999658'
end_time: '1766999959'
version: "/lkp/lkp/.src-20251229-120735:f1e548ffb935-dirty:699a1aa0dc4b-dirty"
